> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get pension schemaorganisation



## OpenAPI

````yaml /api-reference/specs/pension-v2.json get /pension-schema/organisation
openapi: 3.0.1
info:
  title: FlowPayroll Pension API
  version: v2
servers:
  - url: https://api.sandbox.flowpayroll.ai/v2/pension
security: []
paths:
  /pension-schema/organisation:
    get:
      tags:
        - PensionScheme
      operationId: GetPensionSchemes
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FullPensionSchemeListApiResponse'
components:
  schemas:
    FullPensionSchemeListApiResponse:
      type: object
      properties:
        content:
          $ref: '#/components/schemas/FullPensionSchemeListContent'
        metadata:
          $ref: '#/components/schemas/Metadata'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
          nullable: true
        message:
          $ref: '#/components/schemas/Message'
      additionalProperties: false
    FullPensionSchemeListContent:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/FullPensionScheme'
          nullable: true
        metadata:
          $ref: '#/components/schemas/Metadata'
      additionalProperties: false
    Metadata:
      type: object
      properties:
        dateFormat:
          type: string
          nullable: true
        dateTimeFormat:
          type: string
          nullable: true
      additionalProperties: false
    Error:
      type: object
      properties:
        field:
          type: string
          nullable: true
        reasonText:
          type: string
          nullable: true
        reasonId:
          type: string
          nullable: true
        reasonParameters:
          type: array
          items:
            $ref: '#/components/schemas/Pair'
          nullable: true
      additionalProperties: false
    Message:
      type: object
      properties:
        text:
          type: string
          nullable: true
        textId:
          type: string
          nullable: true
        textParameters:
          type: array
          items:
            $ref: '#/components/schemas/Pair'
          nullable: true
      additionalProperties: false
    FullPensionScheme:
      required:
        - createdBy
        - createdDate
        - groups
        - id
        - name
        - organisationId
        - pensionProviderId
        - updatedBy
        - updatedDate
      type: object
      properties:
        id:
          type: string
          nullable: true
        organisationId:
          type: string
          nullable: true
        pensionProviderId:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        paymentSource:
          type: string
          nullable: true
        lastReEnrolmentDate:
          type: string
          format: date
          nullable: true
        dutyStartDate:
          type: string
          format: date
          nullable: true
        externalReferenceId:
          type: string
          nullable: true
        employeeIdentifierField:
          enum:
            - NationalInsuranceNumber
            - PayrollId
            - EmployeeCode
            - EmployeeId
          type: string
          nullable: true
        createdBy:
          type: string
          nullable: true
        createdDate:
          type: string
          nullable: true
        updatedBy:
          type: string
          nullable: true
        updatedDate:
          type: string
          nullable: true
        groups:
          type: array
          items:
            $ref: '#/components/schemas/PensionGroupV2'
          nullable: true
        pensionProvider:
          $ref: '#/components/schemas/PensionProviderV2'
      additionalProperties: false
    Pair:
      type: object
      properties:
        key:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
      additionalProperties: false
    PensionGroupV2:
      required:
        - basis
        - createdBy
        - createdDate
        - employeeFactor
        - employerFactor
        - id
        - isDefault
        - name
        - nationalInsuranceSavingsFactor
        - organisationId
        - pensionSchemaId
        - pensionType
        - updatedBy
        - updatedDate
      type: object
      properties:
        id:
          type: string
          nullable: true
        organisationId:
          type: string
          nullable: true
        pensionSchemaId:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        isDefault:
          type: boolean
        pensionType:
          enum:
            - ReliefAtSource
            - SalarySacrifice
            - NetPayArrangement
          type: string
          nullable: true
        isSalarySacrifice:
          type: boolean
          readOnly: true
        basis:
          type: string
          nullable: true
        employeeFactor:
          type: number
          format: float
        employerFactor:
          type: number
          format: float
        nationalInsuranceSavingsFactor:
          type: number
          format: float
        externalReferenceId:
          type: string
          nullable: true
        createdBy:
          type: string
          nullable: true
        createdDate:
          type: string
          format: date-time
        updatedBy:
          type: string
          nullable: true
        updatedDate:
          type: string
          format: date-time
      additionalProperties: false
    PensionProviderV2:
      required:
        - id
        - name
        - record_end
        - record_start
        - slug
      type: object
      properties:
        id:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        slug:
          type: string
          nullable: true
        paymentSourceRequired:
          type: boolean
          nullable: true
        record_start:
          type: string
          format: date-time
        record_end:
          type: string
          format: date-time
      additionalProperties: false

````